## ros-jazzy-ros2bag 0.26.5

=== debian/changelog ===
ros-jazzy-ros2bag (0.26.5-1bookworm) bookworm; urgency=high

  * Add cli option compression-threads-priority (#1768 <https://github.com/ros2/rosbag2/issues/1768>) (#1778 <https://github.com/ros2/rosbag2/issues/1778>)
    Co-authored-by: Michael Orlov <mailto:michael.orlov@apex.ai>
    (cherry picked from commit 25c3e1c2effdaea3b880c39ff7580b2f38a44b1c)
    Co-authored-by: Roman <mailto:rsokolkov@gmail.com>
  * Contributors: mergify[bot]

 -- Michael Orlov <michael.orlov@apex.ai>  Thu, 05 Sep 2024 16:00:00 -0000

ros-jazzy-ros2bag (0.26.4-1bookworm) bookworm; urgency=high

  * fix(start-offset): allow specifying a start offset of 0 (#1682 <https://github.com/ros2/rosbag2/issues/1682>) (#1713 <https://github.com/ros2/rosbag2/issues/1713>)
    Co-authored-by: Rein Appeldoorn <mailto:reinzor@gmail.com>
  * Exclude recorded /clock topic when --clock option is specified (#1646 <https://github.com/ros2/rosbag2/issues/1646>) (#1706 <https://github.com/ros2/rosbag2/issues/1706>)
    Co-authored-by: Kosuke Takeuchi <mailto:kosuke.tnp@gmail.com>
  * [jazzy] Sweep cleanup in rosbag2 recorder CLI args verification code (backport #1633 <https://github.com/ros2/rosbag2/issues/1633>) (#1684 <https://github.com/ros2/rosbag2/issues/1684>)
    Co-authored-by: Michael Orlov <mailto:michael.orlov@apex.ai>
  * Add --log-level to ros2 bag play and record (#1625 <https://github.com/ros2/rosbag2/issues/1625>) (#1674 <https://github.com/ros2/rosbag2/issues/1674>)
    Co-authored-by: Roman Sokolkov <mailto:rsokolkov@gmail.com>
  * [jazzy] Add optional  '--topics' CLI argument for 'ros2 bag record' (backport #1632 <https://github.com/ros2/rosbag2/issues/1632>) (#1640 <https://github.com/ros2/rosbag2/issues/1640>)
    Co-authored-by: Tomoya Fujita <mailto:Tomoya.Fujita@sony.com>
    Co-authored-by: Michael Orlov <mailto:michael.orlov@apex.ai>

 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 26 Jun 2024 16:00:00 -0000

ros-jazzy-ros2bag (0.26.3-1bookworm) bookworm; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 14 May 2024 16:00:00 -0000

ros-jazzy-ros2bag (0.26.2-1bookworm) bookworm; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 23 Apr 2024 16:00:00 -0000

ros-jazzy-ros2bag (0.26.1-1bookworm) bookworm; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 16 Apr 2024 16:00:00 -0000

ros-jazzy-ros2bag (0.26.0-1bookworm) bookworm; urgency=high

  * Add option to disable recorder keyboard controls (#1607 <https://github.com/ros2/rosbag2/issues/1607>)
  * Support service 2/2 --- rosbag2 service play (#1481 <https://github.com/ros2/rosbag2/issues/1481>)
  * Added exclude-topic-types to record (#1582 <https://github.com/ros2/rosbag2/issues/1582>)
  * Contributors: Alejandro Hernández Cordero, Barry Xu, Bernd Pfrommer, Michael Orlov

 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 15 Apr 2024 16:00:00 -0000

ros-jazzy-ros2bag (0.25.0-1bookworm) bookworm; urgency=high

  * Overhaul in the rosbag2_transport::TopicFilter class and relevant tests (#1585 <https://github.com/ros2/rosbag2/issues/1585>)
  * Filter topic by type  (#1577 <https://github.com/ros2/rosbag2/issues/1577>)
  * Implement service recording and display info about recorded services (#1480 <https://github.com/ros2/rosbag2/issues/1480>)
  * Add python3-yaml as a dependency (#1490 <https://github.com/ros2/rosbag2/issues/1490>)
  * Fix the description of paramter '--topics' for play (#1426 <https://github.com/ros2/rosbag2/issues/1426>)
  * Contributors: Alejandro Hernández Cordero, Barry Xu, Michael Orlov, Michal Sojka

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 26 Mar 2024 16:00:00 -0000

ros-jazzy-ros2bag (0.24.0-1bookworm) bookworm; urgency=high

  * When using sim time, wait for /clock before beginning recording (#1378 <https://github.com/ros2/rosbag2/issues/1378>)
  * Revert "Don't record sim-time messages before first /clock (#1354 <https://github.com/ros2/rosbag2/issues/1354>)" (#1377 <https://github.com/ros2/rosbag2/issues/1377>)
  * Don't record sim-time messages before first /clock (#1354 <https://github.com/ros2/rosbag2/issues/1354>)
  * Fix wrong descritpion for '--ignore-leaf-topics' (#1344 <https://github.com/ros2/rosbag2/issues/1344>)
  * Cleanup the help text for ros2 bag record. (#1329 <https://github.com/ros2/rosbag2/issues/1329>)
  * Contributors: Barry Xu, Chris Lalancette, Emerson Knapp

 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 10 Jul 2023 16:00:00 -0000

ros-jazzy-ros2bag (0.23.0-1bookworm) bookworm; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Thu, 27 Apr 2023 16:00:00 -0000

ros-jazzy-ros2bag (0.22.0-1bookworm) bookworm; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 17 Apr 2023 16:00:00 -0000

ros-jazzy-ros2bag (0.21.0-1bookworm) bookworm; urgency=high

  * Enable document generation using rosdoc2 for ament_python pkgs (#1260 <https://github.com/ros2/rosbag2/issues/1260>)
  * Contributors: Yadu

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 11 Apr 2023 16:00:00 -0000

ros-jazzy-ros2bag (0.20.0-1bookworm) bookworm; urgency=high

  * CLI: Get storage-specific values from plugin (#1209 <https://github.com/ros2/rosbag2/issues/1209>)
  * Contributors: Emerson Knapp

 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 13 Feb 2023 16:00:00 -0000

ros-jazzy-ros2bag (0.19.0-1bookworm) bookworm; urgency=high

  * Fix up some of the wording in the record help text. (#1228 <https://github.com/ros2/rosbag2/issues/1228>)
  * Add topic_name option to info verb (#1217 <https://github.com/ros2/rosbag2/issues/1217>)
  * rosbag2_storage: set MCAP as default plugin (#1160 <https://github.com/ros2/rosbag2/issues/1160>)
  * rosbag2_py: parametrize tests across storage plugins (#1203 <https://github.com/ros2/rosbag2/issues/1203>)
  * Added option to change node name for the recorder from the Python API (#1180 <https://github.com/ros2/rosbag2/issues/1180>)
  * rosbag2_cpp: test more than one storage plugin (#1196 <https://github.com/ros2/rosbag2/issues/1196>)

